import dash
from dash.dependencies import Input, Output
import dash_core_components as dcc
import dash_html_components as html

import time

app = dash.Dash()
app.scripts.config.serve_locally = True

app.layout = html.Div([
    html.Button(id='input', n_clicks=0),
    html.Div(id='output')
])

@app.callback(
    Output('output', 'children'),
    [Input('input', 'n_clicks')])
def update_output(n_clicks):
    print('Entering {}'.format(n_clicks))
    if n_clicks == 1:
        time.sleep(4)
    print('Exiting {}'.format(n_clicks))
    return n_clicks

if __name__ == '__main__':
    app.run_server(debug=True, threaded=True)
