import dash
import dash_core_components as dcc
import dash_html_components as html

import json

app = dash.Dash('simple example')

app.layout = html.Div([
    dcc.Graph(id='graph', figure={
        'data': [
            {'x': [1, 2, 3], 'y': [3, 1, 2]}
        ]
    }, hoverData=None),
    dcc.Input(id='input', value='test'),
    html.Div(id='output')
])

app.scripts.config.serve_locally = True

@app.callback(
    dash.dependencies.Output('output', 'children'),
    [dash.dependencies.Input('input', 'value')],
    state=[dash.dependencies.State('graph', 'hoverData')])
def update_output(input, hoverData):
    return json.dumps(input) + json.dumps(hoverData)

if __name__ == '__main__':
    app.run_server(debug=True)
