import dash
from dash.dependencies import Input, Output
import dash_html_components as html
import dash_core_components as dcc


app = dash.Dash()
app.scripts.config.serve_locally = True
app.css.config.serve_locally = True

options = [{'value': 'a', 'label': 'a'}]

app.layout = html.Div([
    html.Div(id='session-id', children='id'),
    dcc.Dropdown(id='dropdown-1', options=options, value='a'),
    dcc.Dropdown(id='dropdown-2', options=options, value='a'),
])

@app.callback(
    Output('session-id', 'children'),
    [Input('dropdown-1', 'value'),
     Input('dropdown-2', 'value')])
def update_output(value1, value2):
    return 'You have selected {} and {}'.format(value1, value2)


if __name__ == '__main__':
    app.run_server(debug=True)
