import dash
from dash.dependencies import Input, Output, State
import dash_core_components as dcc
import dash_html_components as html
import dash_table_experiments as dt
import json
import plotly

app = dash.Dash()
server = app.server

app.scripts.config.serve_locally = True
app.css.config.serve_locally = True
app.config['suppress_callback_exceptions']=True

app.layout = html.Div([
    dcc.RadioItems(options=[{
        'label': dcc.Input(id='radio-2-item-1'), 'value': '1'
    }]),
    html.Div(id='radio-2-output'),
])


app.callback(Output('radio-2-output', 'children'),
             [Input('radio-2-item-1', 'value')])(
    lambda value: 'radio 2 is "{}"'.format(value)
)


app.css.append_css({
    "external_url": "https://codepen.io/chriddyp/pen/bWLwgP.css"
})

if __name__ == '__main__':
    app.run_server(debug=True)
