import dash
from dash.dependencies import Input, Output
import dash_html_components as html
import dash_core_components as dcc


app = dash.Dash()
app.scripts.config.serve_locally = True
app.css.config.serve_locally = True

app.layout = html.Div([
    html.Div(id='session-id', children='id'),
    dcc.Dropdown(id='dropdown-1'),
    dcc.Dropdown(id='dropdown-2'),
])

options = [{'value': 'a', 'label': 'a'}]


@app.callback(
    Output('dropdown-1', 'options'),
    [Input('dropdown-1', 'value'),
     Input('session-id', 'children')])
def dropdown_1(value, session_id):
    print('dropdown_1')
    return options


@app.callback(
    Output('dropdown-2', 'options'),
    [Input('dropdown-2', 'value'),
     Input('session-id', 'children')])
def dropdown_2(value, session_id):
    print('dropdown_2')
    return options


if __name__ == '__main__':
    app.run_server(debug=True)
