import dash
from dash.dependencies import Input, Output, State
import dash_core_components as dcc
import dash_html_components as html
import dash_table_experiments as dt
import json
import pandas as pd
import numpy as np
import plotly

app = dash.Dash()
server = app.server

app.scripts.config.serve_locally = True
app.css.config.serve_locally = True

# ROWS = [
#     {'a': 'AA', 'b': 1, 'c': 2, 'd': 3, 'e': 4},
#     {'a': 'AB', 'b': 10, 'c': 20, 'd': 30, 'e': 40},
# ]


ROWS = [
    {
        'a': html.Div('1-1', style={'color': 'blue', 'height': '100%'}),
        'b': html.Div('1-2', style={'color': 'red', 'height': '100%'}),
        'c': html.Div('1-3', style={'backgroundColor': 'green', 'height': '100%'}),
    }
]

app.layout = html.Div([
    dt.DataTable(
        rows=ROWS,

        row_selectable=True,
        filterable=True,
        sortable=True,
        selected_row_indices=[],
        id='datatable'
    ),
    html.Div(id='selected-indexes'),
    dcc.Graph(
        id='graph-gapminder'
    ),
], className="container")


app.css.append_css({
    "external_url": "https://codepen.io/chriddyp/pen/bWLwgP.css"
})

if __name__ == '__main__':
    app.run_server(debug=True)
