import dash
from dash.dependencies import Input, Output
import dash_core_components as dcc
import dash_html_components as html


app = dash.Dash()

app.scripts.config.serve_locally = True
app.css.config.serve_locally = True

app.layout = html.Div([
    html.H1('Hello world'),
    dcc.RadioItems(options=[
        {'label': 'Option 1 (string)', 'value': '1'},
        # {'label': html.H4('Option 2'), 'value': '2'},
        # {'label': html.Span('Option 3', style={'color': 'blue'}), 'value': '3'},
    ], id='radio'),
    html.Div(id='output')
])

app.callback(Output('output', 'children'), [Input('radio', 'value')])(
    lambda value: 'You have selected "{}"'.format(value)
)


if __name__ == '__main__':
    app.run_server(debug=True)
